<?php

require('fpdf/fpdf.php');

class PDF extends FPDF

{
// Cabecera de página
function Header()
{
    $this->Image('imagenes/escudo.jpg',20,10,15,20);
    $this->SetFont('Arial','B',11);
    include("../php/conexion-infogeneral.php");
    $idi=$_GET['idi'];
    $DatosInstitucion = mysql_query("Select * From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
	if(mysql_num_rows($DatosInstitucion)>0) {
		$registro=mysql_fetch_array($DatosInstitucion);
		$institucion=utf8_decode($registro["nombreie"]);
		$departamento=utf8_decode($registro["departamentoie"]);
		$municipio=utf8_decode($registro["municipioie"]);
		$dane=$registro["daneie"];
		$nit=$registro["nitie"];
		$resolucion=utf8_decode($registro["resolucionie"]);
		$rector=utf8_decode($registro["rectorie"]);
	}
    $this->Cell(315,0,$institucion,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','B',10);
    $this->Cell(315,0,$municipio." - ".$departamento,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','',7);
    $this->Cell(315,0,"DANE: ".$dane."  -  NIT: ".$nit."  -  RESOLUCION: ".$resolucion,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','I',10);
    $nomsede= utf8_decode($_GET['nomsede']);
    $this->Cell(315,0,$nomsede,0,1,'C');
    $this->Ln(10);
}

// Pie de página
function Footer()
{
    include("../php/conexion-infogeneral.php");
    $idi=$_GET['idi'];
    $DatosInstitucion = mysql_query("Select * From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
	if(mysql_num_rows($DatosInstitucion)>0) {
		$registro=mysql_fetch_array($DatosInstitucion);
		$nemo=utf8_decode($registro["nemoie"]);
		$direccion=utf8_decode($registro["direccionie"]);
		$telefono=$registro["telefonoie"];
		$tiporeporte=$registro["tiporeporte"];
	}
    // Posición: a 1 cm del final
    $this->SetY(-10);
    // Helvetica italic 8
    $this->SetFont('Helvetica','I',8);
    // Número de página
    $this->Cell(0,10,$nemo.' - '.$direccion.'  -  Tel: '.$telefono,0,0,'L');
    $this->Cell(0,10,'www.sised.com.co  -  '.date("d/M/Y"),0,0,'R');
}
}

// Creación del objeto de la clase heredada

$bdie= $_GET['bdie'];
$idi= $_GET['idi'];
$danesede=$_GET['danesede'];
$periodo= $_GET['periodo'];
include("../php/conexion-infogeneral.php");
$DatosInstitucion = mysql_query("Select alectivo From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
if(mysql_num_rows($DatosInstitucion)>0) {
	$registro=mysql_fetch_array($DatosInstitucion);
	$lectivo=$registro["alectivo"];
}
$pdf = new PDF('L','mm','legal');
$pdf->SetMargins(25, 10, 5); // Margen izquierdo de 15, Superior 10 y se maneja un ancho de 195 para el contenido, Margen derecho de 5
$contador=0;
include("../php/conexion-bdie.php");
$regdocentes=mysql_query("Select * From datos_docentes",$db_basededatosie);
while ($FilaDocente=mysql_fetch_array($regdocentes)){
	$docentesdesordenados[$contador][0]=utf8_decode($FilaDocente["apellidos"])." ".utf8_decode($FilaDocente["nombres"]);
	$docentesdesordenados[$contador][1]=$FilaDocente["documento"];
	$docentesdesordenados[$contador][2]=utf8_decode($FilaDocente["usuario"]);
	$docentesdesordenados[$contador][3]=utf8_decode($FilaDocente["clave"]);
	$docentesdesordenados[$contador][4]=utf8_decode($FilaDocente["correo"]);
	if ($FilaDocente["estado"]=="1")
		$docentesdesordenados[$contador][5]="ACTIVO";
	else
		$docentesdesordenados[$contador][5]="RETIRADO";
	$contador=$contador+1;
}
// Ordenar el array ... 
if ($contador)
	sort($docentesdesordenados);
$pdf->AddPage();
$pdf->SetFont('Arial','B',12);$pdf->Cell(315,5,'DIRECTORIO DE DOCENTES',0,1,'C');$pdf->Ln(5);
$pdf->Ln(2);$pdf->SetFont('Arial','B',8);
$pdf->Cell(5,5,'#',1,0,'C');$pdf->Cell(70,5,'APELLIDOS Y NOMBRES',1,0,'C');$pdf->Cell(30,5,'DOCUMENTO',1,0,'C');$pdf->Cell(30,5,'USUARIO',1,0,'C');$pdf->Cell(30,5,'CONTRASEÑA',1,0,'C');$pdf->Cell(90,5,'CORREO',1,0,'C');$pdf->Cell(20,5,'ESTADO',1,1,'C');
for ($i=0;$i<$contador;$i++) {
	$pdf->SetFont('Arial','',7);			
	$pdf->Cell(5,4,$i+1,1,0,'C');
	$pdf->Cell(70,4,$docentesdesordenados[$i][0],1,0,'L');
	$pdf->Cell(30,4,$docentesdesordenados[$i][1],1,0,'L');
	$pdf->Cell(30,4,$docentesdesordenados[$i][2],1,0,'L');
	$pdf->Cell(30,4,$docentesdesordenados[$i][3],1,0,'L');
	$pdf->Cell(90,4,$docentesdesordenados[$i][4],1,0,'L');
	$pdf->Cell(20,4,$docentesdesordenados[$i][5],1,1,'L');
}

$pdf->Output();
?>